<?php

$objPHPExcel = new PHPExcel();
$objPHPExcel->getProperties()->setTitle($title);

// 1. Zeile mit Überschriften besetzen

$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(0, 1, 'Nr.');
$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(1, 1, 'Betrieb');
$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(2, 1, 'PLZ');
$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(3, 1, 'Ort');
$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(4, 1, 'Telefon');

$row = 1;

foreach ($betriebe as $betrieb_item) {

	$row++;
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(0, $row, ($row-1));
	
	$name = $betrieb_item['allgadrname1'];
	if ($charset!="utf8") { $name = iconv($charset, "utf-8", $name); }
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(1, $row, $name);
	
	$plz = $betrieb_item['allgadrplz'];
	if ($charset!="utf8") { $plz = iconv($charset, "utf-8", $plz); }	
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(2, $row, $plz);
	
	$ort = $betrieb_item['bezeichnung'];
	if ($charset!="utf8") { $ort = iconv($charset, "utf-8", $ort); }
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(3, $row, $ort);
	
	$telefon = $betrieb_item['allgadrtelefon1'];
	if ($charset!="utf8") { $telefon = iconv($charset, "utf-8", $telefon); }
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(4, $row, $telefon);
}

// 3. Excel-Dokument erzeugen und an Browser schicken

// Lasche besetzen
$objPHPExcel->getActiveSheet()->setTitle('Schülerliste');
$objPHPExcel->setActiveSheetIndex(0);

// Content-Header mit Varianten für alle Browser
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="'.$excelfilename.'.xls"');
header('Cache-Control: max-age=0');
header('Cache-Control: max-age=1');
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
header ('Cache-Control: cache, must-revalidate');
header ('Pragma: public'); 
header("Content-Type: application/force-download");
header("Content-Type: application/octet-stream");
header("Content-Type: application/download");;
header("Content-Transfer-Encoding: binary ");

// Excel-Datei schreiben und zum Browser umlenken
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5'); // kompatibles XLS-Format
$objWriter->save('php://output'); // lenkt den Output um

?>