<section id="<?php echo $schueler['id']; ?>">

  <section>

	<?php 	$headclass = '';

			if ($config['konferenzfolien']['schuelerfotos']===true) {
				if ($foto != NULL) {

					$headclass = " class='foto'";
					$fotoclass = "";
					if ($round===TRUE) { 
						$fotoclass = " class='round'"; 
					}
					echo "<img".$fotoclass." src='data:image/jpeg;base64, ".base64_encode($foto->foto)."'/>";
				}
			}
	?>

	<h3<?php echo $headclass; ?>>
		<?php echo $schueler['vorname'].' '.$schueler['name'].', '.preg_replace("/\\b0*/","",$schueler['klasse']).'';				
			if ($schueler['wiederholung']==='+') { echo "<span class='wdh'> (Wdh.)</span>"; } 
		?>
	</h3>	

	<table>
		
		<!-- Setze die Überschriften = Fächer zusammen -->
		<tr class="rand">		
			<th></th>
			<?php foreach ($faecher as $faecher_item): ?>			
				<th><?php echo $faecher_item['fachkrz']; ?></th>			
			<?php endforeach ?>	
		</tr>


		<!-- Durchlaufe alle Schuljahre -->
		<?php foreach ($abschnitte as $abschnitte_item): ?>		
			
			<?php if (($abschnitte_item['semesterwertung']==='+') || ($config['konferenzfolien']['entwertet_anzeigen']===true)) {
		
				// Nicht gewerteter Abschnitt? Stelle in anderer Farbe dar!
			    echo '<tr';
				if ($abschnitte_item['semesterwertung']==='-') { echo " class='entwertet'"; }
				echo '>';
			
				// Abschnittsangaben zusammenstellen
				echo '<td class="rand">';
				echo "<span class='hj'>";			
				echo preg_replace("/\\b0*/","",$abschnitte_item['asdjahrgang']);
				echo ".".$abschnitte_item['abschnitt'];
				echo "</span>";				
				echo "<p class='lehrer'>".($abschnitte_item['jahr']-2000)."/".($abschnitte_item['jahr']-2000+1)."<br>&nbsp;</p>";

				if (($oberstufe===true) && ($infos->schuljahr===$abschnitte_item['jahr']) && ($infos->schuljahrabschnitt===$abschnitte_item['abschnitt'])) {

					// a) Fehlstunden 
					$unentschuldigt = "-";
					if ($schueler['sumfehlstdu']!=null) {
						if ($schueler['sumfehlstdu']>0) {
							if (($druck===true) && ($farbdruck===false)) {
								$unentschuldigt = "<span class='ue-grau'>".$schueler['sumfehlstdu']."</span>";
							}
							else {
								$unentschuldigt = "<span class='ue'>".$schueler['sumfehlstdu']."</span>";				
							}
						}
						else {
							$unentschuldigt = '0';
						}		
					}
					$entschuldigt = "-";
					if ($schueler['sumfehlstd']!=null) {
						if ($schueler['sumfehlstd']>0) {
							$entschuldigt = $schueler['sumfehlstd'];
						}
						else {
							$entschuldigt = '0';
						}
					}
					$fehlstunden = "$entschuldigt / $unentschuldigt";

					echo "<p class='lehrer'>".$fehlstunden."</p>";

				}

				echo '</td>';

				// Gehe für diesen Abschnitt alle Fächer durch und gib die zugehörige Note aus
				foreach ($faecher as $faecher_item) {			

						$found = false;

						// Suche die Note zum passenden Schuljahr+Anschnitt+Fach
						foreach ($faechernoten as $noten_item) {
					
							if (($abschnitte_item['id']===$noten_item['abschnitt_id']) && ($faecher_item['fachkrz']===$noten_item['fachkrz']))	{ 
						
								$found = true;
							
								// Einfärbung abh. von Note bzw. Warnung							
								$class=''; 

								// 1. Note ermitteln
								$warnung_explizit = "";
								if (($noten_item['notenkrz']===null) || ($noten_item['notenkrz']==='')) {
									$note = '-';
									if ($noten_item['warnung']==='+') { // Warnung bereits erfolgt
										$class = 'warnung';
										if ($noten_item['warndatum']!=null && $noten_item['warndatum']!='') {
											$note = Konferenz::formatiereKurzDatum($noten_item['warndatum']);
										}
									}
								}
								else {
									$note = $noten_item['notenkrz'];
									if ($config['konferenzfolien']['warnung_explizit']===true) { // explizite Warnung eingeschaltet
										if ($noten_item['warnung']==='+') { 
											$warnung_explizit = "w"; 
										}
									}
								}
							
								// 2. Note auswerten
							
								// Defizit?
								if (($note==='5+') || ($note==='5') || ($note==='5-') || ($note==='6')) {
									$class='defizit';
								
									// nicht gewarntes Defizit? nur in Stufen 6-10!
									if (($noten_item['warnung']==='-') && ($noten_item['abschnitt']===$infos->anzahlabschnitte) && ($abschnitte_item['asdjahrgang']!='Q1') && ($abschnitte_item['asdjahrgang']!='Q2') && ($abschnitte_item['asdjahrgang']!='12') && ($abschnitte_item['asdjahrgang']!='13') && ($abschnitte_item['asdjahrgang']!='5')) {
										$class='ohnewarnung';
									}
									
									// nicht gewarntes Defizit im Epochenunterricht?
									if (($noten_item['warnung']==='-') && ($noten_item['vorherabgeschl']==='+') && ($abschnitte_item['asdjahrgang']!='Q1') && ($abschnitte_item['asdjahrgang']!='Q2') && ($abschnitte_item['asdjahrgang']!='12') && ($abschnitte_item['asdjahrgang']!='13') && ($noten_item['asdjahrgang']!='5')) {
										$class='ohnewarnung';
									}
									
								}
								// 4- als Defizit in der Oberstufe?
								if (($note==='4-') && (($abschnitte_item['asdjahrgang']==='Q1') || ($abschnitte_item['asdjahrgang']==='Q2') || ($abschnitte_item['asdjahrgang']==='12') || ($abschnitte_item['asdjahrgang']==='13'))) { // 4- ist nur in Oberstufe Defizit
									$class='defizit';								
								}
								if (($note==='1+') || ($note==='1') || ($note==='1-') || ($note==='2+') || ($note==='2') || ($note==='2-')) {
									$class='gut';									
								}

								// Note klammern?
								if (($noten_item['aufzeugnis']===null) || ($noten_item['aufzeugnis']==='-')) {
									$note = "(".$note.")";
								}
							
								// 3. Note darstellen
								if (($druck===true) && ($farbdruck===false)) {
									if ($class==="defizit") { $class="defizit-grau"; }
									else if ($class==="ohnewarnung") { $class="ohnewarnung-grau"; }
									else if ($class==="warnung") { $class="warnung-grau"; }									
									else { $class=""; }
								}
								
								if ($class!='') { echo "<td class='".$class."'>".$note.$warnung_explizit; }
								else { echo "<td>".$note.$warnung_explizit; }
								
								echo "<br><p class='lehrer";
								if ($qualiphase===true) { // LK- oder ABI-Fach
									if (preg_match('/LK/',$noten_item['kursart'])>0) { 
										if (($druck===true) && ($farbdruck===false)) { echo ' lk-grau'; }
										else { echo ' lk'; }
									}
									if (preg_match('/AB/',$noten_item['kursart'])>0) { 
										if (($druck===true) && ($farbdruck===false)) { echo ' abi-grau'; }
										else { echo ' abi'; }
									}
								}
								if (($oberstufe===false) && ($config['konferenzfolien']['epoche_markieren']===true)) { // Epoche zusätzlich markieren?
									if ($noten_item['vorherabgeschl']==='+') {
										if (((($infos->anzahlabschnitte+0)===2) && (($abschnitte_item['abschnitt']+0)===1)) ||
											((($infos->anzahlabschnitte+0)===4) && (($abschnitte_item['abschnitt']+0)<=2))) {
											echo ' epoche1';
										}
										else {
											echo ' epoche2';
										}
									}
								}
									
								echo "'>";
								if ($noten_item['fachlehrer']!='') { echo $noten_item['fachlehrer']; } else { echo "-"; }
							
								// ggf. Kursart ausgeben (nicht bei Klassenunterricht PUK)
								if (($noten_item['kursart']!='') && ($noten_item['kursart']!='PUK')) {
									echo "<br>".$noten_item['kursart'];
								}

								// ggf. Epochenunterricht ausgeben 
								if ($noten_item['vorherabgeschl']==='+') {
									echo "<br>Epoche";
								}

								echo '</p>';
								
								// Fehlstunden pro Fach
								if ($config['konferenzfolien']['fehlstunden_pro_fach']===true) { // Fehlstunden pro Fach eingeschaltet...?
								
									if (($oberstufe===true) && ($infos->schuljahr===$abschnitte_item['jahr']) && ($infos->schuljahrabschnitt===$abschnitte_item['abschnitt'])) { // ...und hier sinnvoll? 
										echo "<p class='lehrer'>";
										if ($noten_item['fehlstd']!=null) { echo $noten_item['fehlstd']; }
										else { echo "-"; }
										echo "/";
										if ($noten_item['ufehlstd']!=null) { 
											if ($noten_item['ufehlstd']>0) {
												if (($druck===true) && ($farbdruck===false)) {
													echo "<span class='ue-grau'>".$noten_item['ufehlstd']."</span>";
												}
												else {
													echo "<span class='ue'>".$noten_item['ufehlstd']."</span>";				
												}
											}
											else {
												echo "0";								
											}
										}
										else { echo "-"; }
										echo "</p>";
									}
								
								}

								echo '</td>';
							
								break; // Note gefunden => Suche kann vorab beendet werden
							} 

						}
					
						// Fach in diesem Abschnitt nicht belegt
						if ($found===false) { echo '<td></td>'; }
				
				}				
		
				echo '</tr>'; 

			}
		
			?>

		<?php endforeach ?>	
		
	</table>