<table class="table <?php if ($druck===true) { echo 'table-bordered'; } else { echo 'table-striped'; }?><?php if ($druck===true) { echo ' table-nonfluid druck'; } ?>">
		
	<thead>
		
		<!-- Setze die Überschriften zusammen -->
		<tr class="headline">
			<td class="nr">Nr.</td>
			<td>Name</td>
			<td>Vorname</td>
		
			<?php if ($param['kuerzel']==='on') { echo "<td>K&uuml;rzel</td>"; } ?>
			<?php if ($param['faecher']==='on') { echo "<td>F&auml;cher</td>"; } ?>		
			<?php if ($param['amt']==='on') { echo "<td>Amtsbez.</td>"; } ?>
			<?php if ($param['anrede']==='on') { echo "<td>Anrede</td>"; } ?>
			<?php if ($param['titel']==='on') { echo "<td>Titel</td>"; } ?>
			<?php if ($param['strasse']==='on') { echo "<td>Stra&szlig;e</td>"; } ?>
			<?php if ($param['ort']==='on') { echo "<td>PLZ / Ort</td>"; } ?>
			<?php if ($param['telefon']==='on') { echo "<td>Telefonnummer</td>"; } ?>
			<?php if ($param['handy']==='on') { echo "<td>Handynummer</td>"; } ?>
			<?php if ($param['email']==='on') { echo "<td>eMail-Adresse</td>"; } ?>
			<?php if ($param['emaildienstlich']==='on') { echo "<td>eMail-Adresse (dienstlich)</td>"; } ?>
			<?php if ($param['fotos']==='on') { echo "<td>Foto</td>"; } ?>
		</tr>
	
	</thead>

	<tbody>
		
		<!-- Durchlaufe die ermittelte Schülerliste zeilenweise -->	
		<?php $i=0; ?>		
		
		<?php foreach ($lehrer as $lehrer_item) { ?>
			<?php $i++; ?>		
		    <tr>		
				<td class="nr"><?php echo $i; ?></td>
				<td><?php echo $lehrer_item['nachname'] ?></td>
				<td><?php echo $lehrer_item['vorname'] ?></td>			
				<?php if ($param['kuerzel']==='on') { echo "<td>".$lehrer_item['kuerzel']."</td>"; } ?>
				<?php if ($param['faecher']==='on') { 
				
					// Fächer heraussuchen
					$feld = array();
					foreach ($faecher as $faecher_item) {
						if ($lehrer_item['id']===$faecher_item['id']) { array_push($feld, $faecher_item['lehrbefkrz']); }
					}
				
					// Fächer ausgeben, durch Komma getrennt
					echo '<td>';
					$first = 1;
					foreach ($feld as $fach) {
						if ($first===1) { $first=0; }
						else { echo ', '; }
						echo $fach;
					}
					echo '</td>';
				} ?>					
				<?php if ($param['amt']==='on') { echo "<td>".$lehrer_item['amtsbezeichnung']."</td>"; } ?>
				<?php if ($param['anrede']==='on') { echo "<td>".$lehrer_item['anrede']."</td>"; } ?>
				<?php if ($param['titel']==='on') { echo "<td>".$lehrer_item['titel']."</td>"; } ?>
				<?php if ($param['strasse']==='on') { echo "<td>".$lehrer_item['strasse']."</td>"; } ?>
				<?php if ($param['ort']==='on') { echo "<td>".$lehrer_item['plz']." ".$lehrer_item['ort']."</td>"; } ?>
				<?php if ($param['telefon']==='on') { echo "<td>".$lehrer_item['tel']."</td>"; } ?>
				<?php if ($param['handy']==='on') { echo "<td>".$lehrer_item['handy']."</td>"; } ?>
				<?php if ($param['email']==='on') { 
					if ($druck===true) {
						echo "<td>".$lehrer_item['email']."</td>";
					}
					else {
						echo "<td><a href='mailto:".$lehrer_item['email']."'>".$lehrer_item['email']."</a></td>";	
					}
				} ?>
				<?php if ($param['emaildienstlich']==='on') { 
					if ($druck===true) {
						echo "<td>".$lehrer_item['emaildienstlich']."</td>";
					}
					else {
						echo "<td><a href='mailto:".$lehrer_item['emaildienstlich']."'>".$lehrer_item['emaildienstlich']."</a></td>";	
					}
				} ?>
				<?php if ($param['fotos']==='on') { ?>

					<?php $fotofound = FALSE; ?>	
					<td>
					     <?php foreach ($allefotos as $myfoto) {
								if ($myfoto['lehrer_id']===$lehrer_item['id']) { 
		 	  						if (isset($myfoto['foto'])) { 
		 	  							$fotofound = TRUE;  
		 	  							$fotoclass = "";
  										if ($round===TRUE) { $fotoclass = " class='round'"; } 
  										?>
		        						<div<?php echo $fotoclass; ?>><img<?php echo $fotoclass; ?> src="data:image/jpeg;base64, <?php echo base64_encode($myfoto['foto']); ?>"/></div>
									<?php }
								}
						}
						if (!$fotofound) { 
							$fotoclass = "";
  							if ($round===TRUE) { $fotoclass = " round"; } 
  							?>
							<div class="fotoplatz<?php echo $fotoclass; ?>" style="width:<?php echo $config['lehrerfotos_breite'] ?>px; height:<?php echo $config['lehrerfotos_hoehe'] ?>px;"></div>
						<?php } ?>	
					</td>

				<?php } ?>
			</tr>
		
		<?php } ?>
	
	</tbody>
	
</table>