<?php

	// Durchlaufe die ermittelte Lehrerliste zeilenweise
	foreach ($lehrer as $lehrer_item) {

		echo "BEGIN:VCARD\n";
		if ($version===3) { echo "VERSION:3.0\n"; }
		else { echo "VERSION:2.1\n"; }
		
		// Name, Vorname, Nickname, Titel
		echo "N:".$lehrer_item['nachname'].";".$lehrer_item['vorname'].";;";
		if ($param['anrede']==='on') { echo $lehrer_item['anrede'];
		}
		else if ($param['titel']==='on') { 
			echo $lehrer_item['titel']; 
		}
		echo ";\n";

		if ($param['kuerzel']==='on') { echo "NICKNAME:".$lehrer_item['kuerzel']."\n"; }

		if ($param['faecher']==='on') { 
				
			// Fächer heraussuchen
			$feld = array();
			foreach ($faecher as $faecher_item) {
				if ($lehrer_item['id']===$faecher_item['id']) { array_push($feld, $faecher_item['lehrbefkrz']); }
			}
				
			// Fächer ausgeben, durch Komma getrennt
			echo 'NOTE:';
			$first = 1;
			foreach ($feld as $fach) {
				if ($first===1) { $first=0; }
				else { echo ', '; }
				echo $fach;
			}
			echo "\n";
		}

		if ($param['amt']==='on') { echo "TITLE:".$lehrer_item['amtsbezeichnung']."\n"; }
		
		if (($param['strasse']==='on') or ($param['ort']==='on')) {

			if ($version===3) { echo "ADR;TYPE=HOME:;;"; }
			else { echo "ADR;HOME:;;"; }
			
			if ($param['strasse']==='on') { echo $lehrer_item['strasse']; }
			echo ";";
			if ($param['ort']==='on') { echo $lehrer_item['ort'].";;".$lehrer_item['plz']; }
			else {
				echo ";;";
			}
			echo ";Germany\n";
		}

		if ($param['telefon']==='on') { 
			if ($version===3) { echo "TEL;TYPE=HOME;TYPE=VOICE:"; }
			else { echo "TEL;HOME:"; }
			echo $lehrer_item['tel']."\n"; 
		}

		if ($param['handy']==='on') { 
			if ($version===3) { echo "TEL;TYPE=CELL;TYPE=VOICE:"; }
			else { echo "TEL;CELL:"; }		
			echo $lehrer_item['handy']."\n"; 
		}

		if ($param['email']==='on') { 
			if ($version===3) { echo "EMAIL;TYPE=INTERNET;TYPE=HOME:"; }
			else { echo "EMAIL;HOME:"; }
			echo $lehrer_item['email']."\n"; 
		}

		if ($param['emaildienstlich']==='on') { 
			if ($version===3) { echo "EMAIL;TYPE=INTERNET;TYPE=WORK:"; }
			else { echo "EMAIL;WORK;PREF:"; }
			echo $lehrer_item['emaildienstlich']."\n"; 
		}
			
		echo "END:VCARD\n\n";			

	}

?>	