
<p/>

<?php if ((isset($subtitle)) && ($subtitle!='')) echo "<h3>".$subtitle."</h3>"; ?>	

<table class="table <?php if ($druck===true) { echo 'table-bordered'; } else { echo 'table-striped'; }?> schuelerliste<?php if ($druck===true) { echo ' table-nonfluid druck'; } ?>">
		
	<thead>	
		
		<!-- Setze die Überschriften zusammen -->
		<tr class="headline">
		
			<td class="nr">Nr.</td>

			<td>Name</td>
			<td>Vorname</td>
		
			<?php if ($namen===false) { ?>
		
				<?php if (($modus!="klasse") && (($modus!="kurs") || (($modus==="kurs") && ($kursalter==='aktuell')))) {
						echo "<td class='center'>Klasse</td>"; 
					  } ?>
				<?php if ($modus==="extern") { 
						echo "<td>Stammschule</td>"; 
					  } ?>
				<?php if (($modus==="neulaufend") || 
					      ($modus==="neuzuletzt")) { 
						echo "<td>Aufnahmedatum</td>"; 
					  } ?>	
				<?php if (($modus==="ablaufend") || 
					      ($modus==="abzuletzt") || 
						  ($modus==="finalzuletzt")) { 
							  echo "<td>Abgangsdatum</td>"; 
					  } ?>	
				<?php if (($modus==="aktiv") || 
					      ($modus==="klasse") || 
						  ($modus==="jahrgang") || 
						  (($modus==="kurs") && ($kursalter==='aktuell'))
						 ) { 
							  echo "<td class='center'>Wdh.</td>"; 
					  } ?>
			  	<?php if ($modus==="kurs") { 
							echo "<td class='center'>Kursart</td>"; 
							// ZUGRIFFSPRÜFUNG					
							if ((isset($access)) && (isset($access['schueler_noten'])) && ($access['schueler_noten']===true)) { // Noten generell freigeschaltet?					
								if (($config['login']===false) || ($access[$username]['schueler_noten']===true)) { // Noten für Benutzer freigeschaltet?		
									echo "<td class='center'>Kursnote</td>"; 
								}
							}
			  		  } ?>

				<td class='center'>Geschlecht</td>
				<td>Geburtsdatum</td>
		
			<?php } ?>
		
			<?php if ($druck===false) { ?>
				<td class='center'>Details</td>
			<?php } ?>
		</tr>
	
	</thead>
	
	<tbody>
	
		<!-- Durchlaufe die ermittelte Schülerliste zeilenweise -->	
		<?php $i=0; ?>		
		
		<?php foreach ($schueler as $schueler_item): ?>
			<?php $i++; ?>		
		    <tr>
				<td class="nr"><?php echo $i; ?></td>
			
				<td><?php echo $schueler_item['name'] ?></td>
				<td><?php echo $schueler_item['vorname'] ?></td>
			
				<?php if ($namen===false) { ?>
			
					<?php 
						if (($modus!="klasse") && (($modus!="kurs") || (($modus==="kurs") && ($kursalter==='aktuell')))) {
								echo "<td class='center'>";
								if (($druck===false) && ($schueler_item['status']==='2')) { 
									echo "<a href='".$path."/schuelergruppe/index/klasse/".$schueler_item['klasse'].
									     "'>".preg_replace("/\\b0*/","",$schueler_item['klasse'])."</a>";
								 }
								 else {
		 							echo preg_replace("/\\b0*/","",$schueler_item['klasse']);						 	
								 }
								echo "</td>"; 	
						}	
						if ($modus==="extern") { 
							echo "<td>".$schueler_item['kurzbez']."</td>"; 
						}	 
						if (($modus==="neulaufend") || 
						    ($modus==="neuzuletzt")) { 
							echo "<td>".Schuelergruppe::formatiereDatum($schueler_item['aufnahmedatum'])."</td>"; 
						}	
						if (($modus==="ablaufend") || 
						 	  ($modus==="abzuletzt") || 
							  ($modus==="finalzuletzt")) { 
							echo "<td>".Schuelergruppe::formatiereDatum($schueler_item['entlassdatum'])."</td>"; 
						}										
						if (($modus==="aktiv") || 
							  ($modus==="klasse") || 
							  ($modus==="jahrgang") || 
							  (($modus==="kurs") && ($kursalter==='aktuell'))
							 ) { 
							echo "<td class='center'>";
							if ($schueler_item['wiederholung']==='+') { 
								echo "ja"; 
							}
							echo "</td>"; 
						}	
				  		if ($modus==="kurs") { 
								echo "<td class='center'>".$schueler_item['kursart']."</td>";
								// ZUGRIFFSPRÜFUNG						
								if ((isset($access)) && (isset($access['schueler_noten'])) && ($access['schueler_noten']===true)) { // Noten generell freigeschaltet?
									if (($config['login']===false) || ($access[$username]['schueler_noten']===true)) { // Noten für Benutzer freigeschaltet?									
						  				echo "<td class='center'>";
										if (($schueler_item['notenkrz']===null) || ($schueler_item['notenkrz']==='')) { 
											echo "-"; 
										} 
										else { 
											echo $schueler_item['notenkrz']; 
										}
										echo "</td>";
									} 
								}
				  		} ?>
				
					<td class='center'>
						<?php if ($schueler_item['geschlecht']==='4') { echo 'w'; } else { echo 'm'; } ?>
					</td>
					<td><?php 
						if ($modus==="search") {
							echo Schuelersearch::formatiereDatum($schueler_item['geburtsdatum']);			
						}
						else {
							echo Schuelergruppe::formatiereDatum($schueler_item['geburtsdatum']);
						} ?></td>
			
				<?php } ?>
		
				<?php if ($druck===false) { ?>
					<td class='center'><a href="<?php echo $path . '/schueler/view/' . $schueler_item['id'] ?>"><i class="fas fa-user"></i></a></td>
				<?php } ?>
			</tr>
			
		<?php endforeach ?>
	
	</tbody>
	
</table>