<?php if ((isset($subtitle)) && ($subtitle!='')) echo "<h3>".$subtitle."</h3>"; ?>	

<table class="table <?php if ($druck===true) { echo 'table-bordered'; } else { echo 'table-striped'; }?> schuelerliste<?php if ($druck===true) { echo ' table-nonfluid druck'; } ?> schuelerliste">
		
	<thead>
			
		<!-- Setze die Überschriften zusammen -->
		<tr class="headline">
			<td class="nr">Nr.</td>

			<td>Name</td>
			<td>Vorname</td>

			<td>Sch&uuml;ler-Mailadresse</td>
			<td>Erzieher-Mailadresse(n)</td>

			<?php if ($druck===false) { ?>
				<td class='center'>Details</td>
			<?php } ?>
		</tr>
	
	</thead>
	
	<tbody>
	
		<!-- Durchlaufe die ermittelte Schülerliste zeilenweise -->	
		<?php $i=0; ?>		
		
		<?php foreach ($schueler as $schueler_item): ?>
			<?php $i++; ?>		
		    <tr>
				<td class="nr"><?php echo $i; ?></td>

				<td><?php echo $schueler_item['name'] ?></td>
				<td><?php echo $schueler_item['vorname'] ?></td>
				<td><?php if ($schueler_item['email']!='') {
				    	if ($druck===true) {
					    	echo $schueler_item['email'];
				    	}
				    	else {
					    	echo '<a href="mailto:' . $schueler_item['email'] . '">' . $schueler_item['email'] . '</a>';
				    	}
					} ?>
				</td>
			
				<?php $mailcount = 0; ?>	
				<td><?php foreach ($mailadressen as $mymail) {
							if ($mymail['id']===$schueler_item['id']) { 
							    if ($mymail['erzemail'] != "") {
							    	$mailcount++;
							    	if ($mailcount>1) {
							    		echo ", ";
							    	}
							    	if ($druck===true) {
								    	echo $mymail['erzemail'];
							    	}
							    	else {
								    	echo '<a href="mailto:'.$mymail['erzemail'].'">'.$mymail['erzemail'].'</a>';
							    	}
							    }
							}
					} ?>					
				</td>
						  		
				<?php if ($druck===false) { ?>
					<td class='center'><a href="<?php echo $path . '/schueler/view/' . $schueler_item['id'] ?>"><i class="fas fa-user"></i></a></td>
				<?php } ?>
			</tr>
		<?php endforeach ?>
	
	</tbody>
	
</table>