<table class="table <?php if ($druck===true) { echo 'table-bordered'; } else { echo 'table-striped'; }?> schuelerliste<?php if ($druck===true) { echo ' table-nonfluid druck'; } ?>">
		
	<thead>
		
		<!-- Setze die Überschriften zusammen -->
		<tr class="headline">
			<td class="nr">Nr.</td>
			<td>Name</td>
			<td>Vorname</td>
		
			<?php if ($param['klasse']==='on') { echo "<td>Klasse</td>"; } ?>
			<?php if ($param['lehrer']==='on') { echo "<td>Klassenlehrer</td>"; } ?>
			<?php if ($param['jahrgang']==='on') { echo "<td>Jahrgang</td>"; } ?>
			<?php if ($param['wdh']==='on') { echo "<td class='center'>Wdh.</td>"; } ?>
			<?php if ($param['geschlecht']==='on') { echo "<td class='center'>Geschlecht</td>"; } ?>
			<?php if ($param['gebdatum']==='on') { echo "<td>Geburtsdatum</td>"; } ?>
			<?php if ($param['aufnahme']==='on') { echo "<td>Aufnahmedatum</td>"; } ?>
			<?php if ($param['abgang']==='on') { echo "<td>Abgangsdatum</td>"; } ?>
			<?php if ($param['uebergang']==='on') { echo "<td>Empfehlung</td>"; } ?>
			<?php if ($param['strasse']==='on') { echo "<td>Stra&szlig;e</td>"; } ?>
			<?php if ($param['ort']==='on') { echo "<td>PLZ/Ort</td>"; } ?>
			<?php if ($param['telefon']==='on') { echo "<td>Telefon</td>"; } ?>
			<?php if ($param['email']==='on') { echo "<td>eMail</td>"; } ?>
			
			<?php if ($druck===false) { ?>
				<td class='center'>Details</td>
			<?php } ?>
			
		</tr>
	
	</thead>

	<tbody>
		
		<!-- Durchlaufe die ermittelte Schülerliste zeilenweise -->	
		<?php $i=0; ?>		
		
		<?php foreach ($schueler as $schueler_item): ?>
			<?php $i++; ?>		
		    <tr>		
				<td class="nr"><?php echo $i; ?></td>
				<td><?php echo $schueler_item['name'] ?></td>
				<td><?php echo $schueler_item['vorname'] ?></td>			

				<?php if ($param['klasse']==='on') { echo "<td>".$schueler_item['klasse']."</td>"; } ?>
				<?php if ($param['lehrer']==='on') { echo "<td>".$schueler_item['lehrer']."</td>"; } ?>
				<?php if ($param['jahrgang']==='on') { echo "<td>".$schueler_item['asdjahrgang']."</td>"; } ?>

				<?php if ($param['wdh']==='on') {
					echo "<td class='center'>";
					if ($schueler_item['wiederholung']==='+') { 
						echo "ja"; 
					}
					echo "</td>"; 
				} ?>
				
				<?php if ($param['geschlecht']==='on') { ?>
					<td class='center'>
						<?php if ($schueler_item['geschlecht']==='4') { echo 'w'; } else { echo 'm'; } ?>
					</td>
				<?php } ?>
				
				<?php if ($param['gebdatum']==='on') { ?>
					<td><?php echo Schuelersearch::formatiereDatum($schueler_item['geburtsdatum']);	?></td>
				<?php } ?>					
								
				<?php if ($param['aufnahme']==='on') { ?>
					<td><?php echo Schuelersearch::formatiereDatum($schueler_item['aufnahmedatum']); ?></td>
				<?php } ?>					

				<?php if ($param['abgang']==='on') { ?>
					<td><?php echo Schuelersearch::formatiereDatum($schueler_item['entlassdatum']); ?></td>
				<?php } ?>					
				
				<?php if ($param['uebergang']==='on') { ?>
					<td><?php echo $schueler_item['uebergangsempfehlung_jg5']; ?></td>
				<?php } ?>					

				<?php if ($param['strasse']==='on') { ?>
					<td><?php echo $schueler_item['strasse']; ?></td>
				<?php } ?>					

				<?php if ($param['ort']==='on') { ?>
					<td><?php echo $schueler_item['plz'].' '.$schueler_item['ortabk']; ?></td>
				<?php } ?>					

				<?php if ($param['telefon']==='on') { ?>
					<td><?php echo $schueler_item['telefon']; ?></td>
				<?php } ?>					

				<?php if ($param['email']==='on') { ?>
					<td><?php echo $schueler_item['email']; ?></td>
				<?php } ?>					
				
				<?php if ($druck===false) { ?>
					<td class='center'><a href="<?php echo $path . '/schueler/view/' . $schueler_item['id'] ?>"><i class="fas fa-user"></i></a></td>
				<?php } ?>
				
			</tr>
		
		<?php endforeach ?>
	
	</tbody>
	
</table>