<?php

$objPHPExcel = new PHPExcel();
$objPHPExcel->getProperties()->setTitle($title);

// 1. Zeile mit Überschriften besetzen

$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(0, 1, 'Nr.');
$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(1, 1, 'Klasse');
$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(2, 1, 'Name');
$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(3, 1, 'Vorname');
$column = 3;

// 2. Schülerdaten zeilenweise einfügen		
	
$row = 1;

foreach ($schuelerBetrieb as $schueler_item) {
	
	$row++;

	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(0, $row, ($row-1));

	$klasse = $schueler_item['klasse'];
	if ($charset!="utf8") { $klasse = iconv($charset, "utf-8", $klasse); }
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(1, $row, $klasse); 

	$name = $schueler_item['name'];
	if ($charset!="utf8") { $name = iconv($charset, "utf-8", $name); }
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(2, $row, $name); 
	$vorname = $schueler_item['vorname'];
	if ($charset!="utf8") { $vorname = iconv($charset, "utf-8", $vorname); }
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(3, $row, $vorname);

}

// 3. Excel-Dokument erzeugen und an Browser schicken

// Lasche besetzen
$objPHPExcel->getActiveSheet()->setTitle('Schülerliste');
$objPHPExcel->setActiveSheetIndex(0);

// Content-Header mit Varianten für alle Browser
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="'.$excelfilename.'.xls"');
header('Cache-Control: max-age=0');
header('Cache-Control: max-age=1');
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
header ('Cache-Control: cache, must-revalidate');
header ('Pragma: public'); 
header("Content-Type: application/force-download");
header("Content-Type: application/octet-stream");
header("Content-Type: application/download");;
header("Content-Transfer-Encoding: binary ");

// Excel-Datei schreiben und zum Browser umlenken
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5'); // kompatibles XLS-Format
$objWriter->save('php://output'); // lenkt den Output um

?>