<?php

	// 1. max. drei Vermerke unterhalb der Notentabelle: Fehlstunden, evtl. Versetzungsvermerk, evtl. erreichter Abschluss

	// a) Fehlstunden (nicht bei Oberstufe!)
	$unentschuldigt = "-";
	if ($schueler['sumfehlstdu']!=null) {
		if ($schueler['sumfehlstdu']>0) {
			if (($druck===true) && ($farbdruck===false)) {
				$unentschuldigt = "<span class='ue-grau'>".$schueler['sumfehlstdu']."</span>";
			}
			else {
				$unentschuldigt = "<span class='ue'>".$schueler['sumfehlstdu']."</span>";				
			}
		}
		else {
			$unentschuldigt = '0';
		}		
	}
	$entschuldigt = "-";
	if ($schueler['sumfehlstd']!=null) {
		if ($schueler['sumfehlstd']>0) {
			$entschuldigt = $schueler['sumfehlstd'];
		}
		else {
			$entschuldigt = '0';
		}
	}
	$fehlstunden = "Fehlstunden: $entschuldigt / $unentschuldigt";

	// b) Versetzungsvermerk
	$versetzungsvermerk = "";
	if ($versetzung===true) {
		
		$nv = "nv";
		if (($druck===true) && ($farbdruck===false)) { $nv = "nv-grau"; }
		
		$versetzt = '';
		if (array_key_exists('versetzungkrz', $schueler)) {
			$versetzt = $schueler['versetzungkrz'];	
		}
		$vtext = '';
		if (($versetzt==='') or ($versetzt===null)) { $vtext = 'k.B.'; }
		else if ($versetzt==='V') { $vtext = 'ja'; }
		else if ($versetzt==='N') { $vtext = "<span class='".$nv."''>nein</span>"; }
		else if ($versetzt==='NP') { $vtext = "<span class='".$nv."'>NP (".$schueler['moeglnpfaecher'].")</span>"; }
		$versetzungsvermerk = "Versetzung: ".$vtext."<span class='space'>&nbsp;</span>";
	}

	// c) Abschluss
	$abschlussvermerk = "";
	if (($schueler['abschluss']!=null) && ($schueler['abschluss']!='-')) {
		$abschlussvermerk = "Abschluss: ".$schueler['abschluss']."<span class='space''>&nbsp;</span>";
	}
	else if (($schueler['abschlistprognose']!=null) && ($schueler['abschlistprognose']!='-')) {
		$abschlussvermerk = "Prognose: ".$schueler['abschlistprognose']."<span class='space''>&nbsp;</span>";
	}

	// => ggf. Ausgabe der Vermerke
	if ($oberstufe===false) {
		if ($fehlstunden!="" || $versetzungsvermerk!="" || $abschlussvermerk!="") {
			echo "<p class='fehlstunden'>".$versetzungsvermerk.$abschlussvermerk.$fehlstunden."</p>";
		}
		else {
			if ($druck===true) { echo "<p class='fehlstunden'/>"; }
		}
	}
	if ($oberstufe===true) {
		if ($versetzungsvermerk!="" || $abschlussvermerk!="") {
			echo "<p class='fehlstunden'>".$versetzungsvermerk.$abschlussvermerk."</p>";
		}
		else {
			if ($druck===true) { echo "<p class='fehlstunden'/>"; }
		}
	}
	
	
	// 2. Allgemeine Bemerkungen
	
	$asv = "";
	$lels = "";
	if ($bemerkungen!=null) {
		$asv = $bemerkungen->asv;
		if ($asv===null) { $asv = ""; }			
		$lels = $bemerkungen->lels;;
		if ($lels===null) { $lels = ""; }
	}
	$allg = $schueler['zeugnisbem'];
	
	if ($allg===null) { $allg = ""; }

	if (($config['konferenzfolien']['engagement']===true && $lels!="") || ($config['konferenzfolien']['asv']===true && $asv!="") || ($config['konferenzfolien']['allgemein']===true && $allg!="")) {

		if ($druck===false) {

			echo "</section>";
			echo "<section>";

			$headclass = '';

			echo "<h4".$headclass.">";
			echo $schueler['vorname'].' '.$schueler['name'].', '.preg_replace("/\\b0*/","",$schueler['klasse']).'';				
			if ($schueler['wiederholung']==='+') { echo "<span class='wdh'> (Wdh.)</span>"; } 
			echo "</h4>";

		}

		// => Beginn der Tabelle
		echo "<table><tr>";
	
		// a) Engagement
		if ($config['konferenzfolien']['engagement']===true) {
			if ($lels!="") {
				echo "<td><p class='bemerkung'>Au&szlig;erunt. Engagement</p>";
				$lels = str_replace("\r\n", "\n", $lels); # windows -> linux
				$lels = str_replace("\r", "\n", $lels); # mac -> linux		
				$zeilen = explode("\n",$lels);
				foreach ($zeilen as $zeile_item) {
					if ($zeile_item!=null) {
						echo "<p class='eintrag'>".$zeile_item."</p>";
					}
				}
				echo "</td>";
			}
			else {
				echo "<td><p class='bemerkung'>Au&szlig;erunt. Engagement</p></td>";
			}
		}

		// b) Arbeits- und Sozialverhalten
		if ($config['konferenzfolien']['asv']===true) {
			if ($asv!="") {
				echo "<td><p class='bemerkung'>Arbeits- und Sozialverhalten</p>";
				$asv = str_replace("\r\n", "\n", $asv); # windows -> linux
				$asv = str_replace("\r", "\n", $asv); # mac -> linux		
				$zeilen = explode("\n",$asv);
				foreach ($zeilen as $zeile_item) {
					if ($zeile_item!=null) {
						echo "<p class='eintrag'>".$zeile_item."</p>";
					}
				}
				echo "</td>";
			}
			else {
				echo "<td><p class='bemerkung'>Arbeits- und Sozialverhalten</p></td>";
			}
		}

		// c) Allgemeine Bemerkungen
		if ($config['konferenzfolien']['allgemein']===true) {
			if ($allg!="") {
				echo "<td><p class='bemerkung'>Zeugnisbemerkungen</p>";
				$allg = str_replace("\r\n", "\n", $allg); # windows -> linux
				$allg = str_replace("\r", "\n", $allg); # mac -> linux		
				$zeilen = explode("\n",$allg);
				foreach ($zeilen as $zeile_item) {
					if ($zeile_item!=null) {
						echo "<p class='eintrag'>".$zeile_item."</p>";
					}
				}
				echo "</td>";
			}
			else {
				echo "<td><p class='bemerkung'>Zeugnisbemerkungen</p></td>";
			}
		}

		// => Ende der Tabelle
		echo "</tr></table>";
			
	}


?>

</section>

</section>