<!-- Jahrgangs-Tabs -->
<ul class="nav nav-pills">

    <?php $i=0; ?>

	<?php foreach ($jahrgaenge as $jahrgang_item): ?>
		<li class="nav-item<?php if ($i===0) echo ' active' ?>"><a class="nav-link<?php if ($i===0) echo ' active' ?>" href="#t<?php echo $jahrgang_item['asdjahrgang'] ?>" data-toggle="tab"><?php echo $jahrgang_item['asdjahrgang'] ?></a></li>
	    <?php $i++; ?>		
	<?php endforeach ?>

	<li class="nav-item"><a class="nav-link" href="#Mix" data-toggle="tab">Mix</a></li>

	<?php // ZUGRIFFSPRÜFUNG
		if ((isset($access)) && (isset($access['schueler_abschnitte'])) && ($access['schueler_abschnitte']===true)) { 
			if (($config['login']===false) || ($access[$username]['schueler_abschnitte']===true)) { ?>	
		<li class="nav-item"><a class="nav-link" href="#Abschnitte" data-toggle="tab">Abschnitte</a></li>
	<?php } } ?>

</ul>


<!-- Tab-Inhalte -->
<div class="tab-content">

  <!-- 1. Teil: Zeige alle Jahrgänge mit ihren Kursen an -->
  <?php $i=0; ?>
  
  <?php foreach ($jahrgaenge as $jahrgang_item): ?>

    <div class="tab-pane<?php if ($i===0) echo ' active' ?>" id="t<?php echo $jahrgang_item['asdjahrgang'] ?>">
		
		<p/>
		
		<!-- Überschriften -->
		<table class="table table-striped kurstable">

		<tr class="headline">
			<td class="nr">Nr.</td>
			<td>Fach</td>
			<td class="center">Kursart</td>
			<td class="center">Jahrgang</td>
			<td class="center">Kurzbezeichnung</td>
			<td class="center">Lehrkraft</td>
			<td class="center">Sch&uuml;lerzahl</td>
			<td class="center">Details</td>
		</tr>
			
		<!-- Inhalte -->	
		<?php $j=0; ?>

		<?php foreach ($kurse as $kurs_item) {
			
			if ($kurs_item['asdjahrgang']===$jahrgang_item['asdjahrgang']) { ?>
				<tr>
				
				<?php $j++; ?>
				
			    <td class="nr"><?php echo $j ?></td>				
			    <td><?php echo $kurs_item['zeugnisbez'] ?></td>				
				<td class="center"><?php echo $kurs_item['kursartallg'] ?></td>
				<td class="center"><?php echo $kurs_item['asdjahrgang'] ?></td>
				<td class="center"><?php echo $kurs_item['kurzbez'] ?></td>
				<td class="center"><?php echo $kurs_item['lehrerkrz'] ?></td>
				<td class="center">
					 <?php foreach ($staerken as $staerken_item) {
						 	if ($kurs_item['id']===$staerken_item['id']) { echo $staerken_item['anzahl']; }
					 } ?>
				</td>
				<td class="center"><a href="<?php echo $path . '/schuelergruppe/index/kurs/' . $kurs_item['id'] ?>"><i class="fas fa-list"></i></a></td>

				</tr>
			<?php 
			} 
		 } ?>
		
		</table>

	</div>
	
    <?php $i++; ?>

  <?php endforeach ?>


  <!-- 2. Teil: Zeige alle jahrgangsübergreifenden Kurse an -->
  <div class="tab-pane" id="Mix">

    <p/>
	  
	<table class="table table-striped kurstable">

	<tr class="headline">
		<td class="nr">Nr.</td>
		<td>Fach</td>
		<td class="center">Kursart</td>
		<td class="center">Kurzbezeichnung</td>
		<td class="center">Lehrkraft</td>
		<td class="center">Schülerzahl</td>
		<td class="center">Details</td>
	</tr>
		
	<?php $i=0; ?>
	  
	  <?php foreach ($kurse as $kurs_item) {
		
				if ($kurs_item['asdjahrgang']==='' OR $kurs_item['asdjahrgang']===null) { ?>
			
			<tr>
				
			<?php $i++; ?>
			
		    <td class="nr"><?php echo $i; ?></td>				
		    <td><?php echo $kurs_item['zeugnisbez'] ?></td>				
			<td class="center"><?php echo $kurs_item['kursartallg'] ?></td>
			<td class="center"><?php echo $kurs_item['kurzbez'] ?></td>
			<td class="center"><?php echo $kurs_item['lehrerkrz'] ?></td>
			<td class="center">
				 <?php foreach ($staerken as $staerken_item) {
					 		if ($kurs_item['id']===$staerken_item['id']) { echo $staerken_item['anzahl']; }
				 } ?>
			</td>
			<td class="center"><a href="<?php echo $path . '/schuelergruppe/index/kurs/' . $kurs_item['id'] ?>"><i class="fas fa-list"></i></a></td>
			
			</tr>

		<?php 
			}
		 } ?>
	  
	</table>

    <?php if ($i===0) echo "<div class='alert alert-info'>Keine gemischten Kurse vorhanden.</div>" ?>

  </div>
  
  
  <!-- 3. Teil: Umschalten auf ältere Abschnitte -->
  <?php // ZUGRIFFSPRÜFUNG
		if ((isset($access)) && (isset($access['schueler_abschnitte'])) && ($access['schueler_abschnitte']===true)) { 
	  		if (($config['login']===false) || ($access[$username]['schueler_abschnitte']===true)) {
	  ?>	
  
	  <div class="tab-pane" id="Abschnitte">

	    <p/>
		<h3>Umschalten auf &auml;ltere Abschnitte</h3>
	
		<ul class="mylist">
		
	  	<?php foreach ($abschnitte as $abschnitte_item): ?>
		
			<li><?php echo "<a href='".$path. '/kurs/index/'.$abschnitte_item['jahr'].'/'.$abschnitte_item['abschnitt']."'>".$abschnitte_item['jahr'].'/'.($abschnitte_item['jahr']+1).', '. $abschnitte_item['abschnitt'].'. '.$schule->abschnittbez.'</a>'; ?>
			</li>
		
		<?php endforeach ?>
	
		</ul>
  
	  </div>

  <?php } } ?>

</div>



	
