<?php if (count($faecher)===0) {
	
	echo "<div class='alert alert-info'>Keine F&auml;cher eingetragen!</div>";
	
}
else { ?>

	<table class="table table-bordered table-sm notentab<?php if ($druck===true) echo ' druck'?>">
		
		<?php if (count($faecher)>0) {
				$width = round((90 / (count($faecher)+1)) - 0.5); 
			}
			else { $width = 0; }
		?>
					
		<!-- Setze die Überschriften = Fächer zusammen -->
		<thead>
			<tr class="headline">		
				<td class="table-active" width="10%"></td>
				<td class="table-active" width='<?php echo $width; ?>%'><b>Fehl-<br>stunden</b></td>		
				<?php foreach ($faecher as $faecher_item): ?>			
					<td class="table-active" width='<?php echo $width; ?>%'><?php echo $faecher_item['fachkrz']; ?></td>			
				<?php endforeach ?>	
			</tr>
		</thead>

		<tbody>
		
			<!-- Durchlaufe alle Schuljahre -->
			<?php foreach ($abschnitte as $abschnitte_item): ?>		
			
				<?php 
		
					// Nicht gewerteter Abschnitt? Stelle in anderer Farbe dar!
				    echo '<tr';
					if ($abschnitte_item['semesterwertung']==='-') { echo " class='table-secondary'"; }
					echo '>';
			
					// Abschnittsangaben zusammenstellen
					echo "<td class='table-active'>";			
					echo '<b>' . $abschnitte_item['jahr'].'/'.($abschnitte_item['jahr']+1).'.'.$abschnitte_item['abschnitt'] . '</b>';
					echo '<br/>' . preg_replace("/\\b0*/","",$abschnitte_item['klasse']);
					echo ' ('; 
					if ($abschnitte_item['klassenlehrer']!='') { echo $abschnitte_item['klassenlehrer']; } else { echo '-'; } 
					echo ')';

					// Wiederholung im Abschnitt ?
					if ($abschnitte_item['wiederholung']==='+') { 
						echo ", Wdh.";
					}			

					// Abschluss erreicht?
					if ($abschnitte_item['abschluss']!='') {
						echo "<br/><span class='kursart'>".$abschnitte_item['abschluss'].'</span>';
					}
					else if (($abschnitte_item['abschlistprognose']!='') && ($abschnitte_item['abschlistprognose']!='-')) {
						echo "<br/><span class='kursart'>P: ".$abschnitte_item['abschlistprognose'].'</span>';
					}	
					
					echo '</td>';

					// Fehlstunden
					echo "<td>";
					if (($abschnitte_item['sumfehlstd']!=null) && ($abschnitte_item['sumfehlstd']!='')) {
						echo $abschnitte_item['sumfehlstd'];
					}
					else { echo '-'; }
					echo "<br>(";
					if (($abschnitte_item['sumfehlstdu']!=null) && ($abschnitte_item['sumfehlstdu']!='')) {					
						if ($abschnitte_item['sumfehlstdu']>0) {
							if (($druck===true) && ($farbdruck===false)) {
								echo "<span class='ue-grau'>".$abschnitte_item['sumfehlstdu']."</span>";						
							}
							else {
								echo "<span class='ue'>".$abschnitte_item['sumfehlstdu']."</span>";							
							}
						}
						else {
							echo $abschnitte_item['sumfehlstdu'];						
						}
					}
					else { echo '-'; }
					echo ")</td>";
			
					// Gehe für diesen Abschnitt alle Fächer durch und gib die zugehörige Note aus
					foreach ($faecher as $faecher_item) {			

							$found = false;

							// Suche die Note zum passenden Schuljahr+Anschnitt+Fach
							foreach ($faechernoten as $noten_item) {
					
								if (($abschnitte_item['id']===$noten_item['abschnitt_id']) && ($faecher_item['fachkrz']===$noten_item['fachkrz']))	{ 
						
									$found = true;
									// Einfärbung abh. von Note bzw. Warnung							
									$class=''; 
							
									// 1. Note ermitteln
									if (($noten_item['notenkrz']===null) || ($noten_item['notenkrz']==='')) {
										$note = '-';
										if ($noten_item['warnung']==='+') { // Warnung bereits erfolgt
											$class = 'warnung';
											if ($noten_item['warndatum']!=null && $noten_item['warndatum']!='') {
												$note = Schueler::formatiereKurzDatum($noten_item['warndatum']);
											}
										}
									}
									else {
										$note = $noten_item['notenkrz'];
									}
							
									// 2. Note auswerten
							
									// Defizit?
									if (($note==='5+') || ($note==='5') || ($note==='5-') || ($note==='6')) {
										$class='defizit';
								
										// nicht gewarntes Defizit? nur in Stufen 6-10!
										if (($noten_item['warnung']==='-') && ($noten_item['abschnitt']===$infos->anzahlabschnitte) && ($abschnitte_item['asdjahrgang']!='Q1') && ($abschnitte_item['asdjahrgang']!='Q2') && ($abschnitte_item['asdjahrgang']!='12') && ($abschnitte_item['asdjahrgang']!='13') && ($abschnitte_item['asdjahrgang']!='5')) {
											$class='ohnewarnung';
										}
										
										// nicht gewarntes Defizit im Epochenunterricht?
										if (($noten_item['warnung']==='-') && ($noten_item['vorherabgeschl']==='+') && ($abschnitte_item['asdjahrgang']!='Q1') && ($abschnitte_item['asdjahrgang']!='Q2') && ($abschnitte_item['asdjahrgang']!='12') && ($abschnitte_item['asdjahrgang']!='13') && ($noten_item['asdjahrgang']!='5')) {
											$class='ohnewarnung';
										}
										
									}
									// 4- als Defizit in der Oberstufe?
									if (($note==='4-') && (($abschnitte_item['asdjahrgang']==='Q1') || ($abschnitte_item['asdjahrgang']==='Q2') || ($abschnitte_item['asdjahrgang']==='12') || ($abschnitte_item['asdjahrgang']==='13'))) { // 4- ist nur in Oberstufe Defizit
										$class='defizit';								
									}
									if (($note==='1+') || ($note==='1') || ($note==='1-') || ($note==='2+') || ($note==='2') || ($note==='2-')) {
										$class='gut';									
									}
								
									// SW-Druck? 
									if (($druck===true) && ($farbdruck===false)) {
										if ($class==="defizit") { $class="defizit-grau"; }
										if ($class==="ohnewarnung") { $class="ohnewarnung-grau"; }
										if ($class==="warnung") { $class="warnung-grau"; }									
										if ($class==="gut") { $class=""; }								
									}								
							
									// 3. Note darstellen
									echo "<td";
									if ($class!='') { echo " class='".$class."'"; }
									echo ">";	

									if (($noten_item['aufzeugnis']===null) || ($noten_item['aufzeugnis']==='-')) {
										echo "(".$note.")";
									}
									else {
										echo $note;	
									}			
							
									echo '<br>';
									if ($noten_item['fachlehrer']!='') { echo $noten_item['fachlehrer']; } else { echo "-"; }
							
									$umbruch = false;
									
									// ggf. Kursart ausgeben (nicht bei Klassenunterricht PUK)
									if (($noten_item['kursart']!='') && ($noten_item['kursart']!='PUK')) {
										echo "<br><span class='kursart'>".$noten_item['kursart']."</span>";
										$umbruch=true;
									}
									
									// ggf. Epochenunterricht ausgeben
									if ($noten_item['vorherabgeschl']==='+') {
										echo "<br/><span class='kursart'>Epoche</span>";
										$umbruch=true;
									}								
									
									if ($umbruch===false) { echo "<br>&nbsp;"; } // Zeilen möglichst einheitlich hoch

									echo '</td>';
							
									break; // Note gefunden => Suche kann vorab beendet werden
								} 

							}
					
							// Fach in diesem Abschnitt nicht belegt
							if ($found===false) { echo '<td></td>'; }
				
					}				
		
					echo '</tr>'; 
		
				?>

			<?php endforeach ?>	

		</tbody>

		<?php if ((count($abschnitte)>4) && ($druck===false)) { // Footer nicht beim Drucken ?>		
			
			<!-- Setze die Unterschriften = Fächer zusammen -->
			<tfoot>
	
			<tr class="headline">		
				<td class="table-active" width="10%"></td>
				<td class="table-active" width='<?php echo $width; ?>%'><b>Fehl-<br>stunden</b></td>		
				<?php foreach ($faecher as $faecher_item): ?>			
					<td class="table-active" width='<?php echo $width; ?>%'><?php echo $faecher_item['fachkrz']; ?></td>			
				<?php endforeach ?>	
			</tr>

			</tfoot>
		<?php } ?>	
	
	</table>

<?php } ?>		