<!-- ggf. Warnung: keine Auskunft an Dritte -->	
<?php if ($schueler->keineauskunft==='+') { 
	echo "<div class='alert alert-danger'>Wichtiger Hinweis: Keine Auskunft an Dritte!</div>"; 
}; ?>

<!-- Panel 0: ggf. Foto zum Drucken vorab -->
<?php if ((isset($config['schuelerfotos'])) && ($config['schuelerfotos']===true) && ($druck===true) && (isset($foto->foto))) { 

  $fotoclass = "";
  if ($round===TRUE) { $fotoclass = " class='round'"; } ?>

  <div class="card">
    <h5 class="card-header">Foto</h5>
    <div class="card-body">
      <p><img<?php echo $fotoclass; ?> class="media-object" src="data:image/jpeg;base64, <?php echo base64_encode($foto->foto); ?>"/></p>
    </div>
  </div>

  <p/>

<?php } ?>

<!-- Card 1: Person -->	
<div class="card">
		
  <h5 class="card-header">Person</h5>
  
  <div class="card-body">

    <div class="media">
      <div class="media-body">

	    <table>
		  <tr><td>Name:</td><td class="tabspace"></td>
			  <td><?php echo $schueler->name.', '.$schueler->vorname; ?></td></tr>

		  <tr><td>Status:</td><td></td>
			  <td><?php // Gib den Status aus
				  		switch ($schueler->status) {
				  			case 0: { echo 'Neuaufnahme'; break; }
				  			case 1: { echo 'Warteliste'; break; }
				  			case 2: { echo 'Aktiv'; 
									  if ($wdh==='ja') { echo ' (Wdh.)'; }; 
									  break; 
							}
				  			case 3: { echo 'Beurlaubt'; break; }
				  			case 6: { echo 'Extern'; 
								      if (count($externeschule)>0) { 
										  echo ' ('.$externeschule->kurzbez.')'; 
									  };  
									  break; 
							}
				  			case 8: { echo 'Abschluss'; break; }
				  			case 9: { echo 'Abg&auml;nger'; break; }
							default: { echo $schueler->status; break; }
			            } 
				   ?></td></tr>
	 	  <tr><td>Klasse:</td><td></td>
	 		  <td><?php echo $schueler->klasse; ?><?php if ($schueler->lehrer!=null) { echo " (".$schueler->lehrer.")"; } ?></td></tr>
	 	  <tr><td>Geschlecht:</td><td></td>
	 		  <td><?php if ($schueler->geschlecht==='4') { echo 'w'; } else { echo 'm'; } ?></td></tr>
		  <tr><td>Adresse:</td><td></td>
			  <td><?php if ($schueler->strasse!='') { echo $schueler->strasse.', '; }; ?>
				  <?php echo $schueler->plz.' '.$schueler->ortabk; ?>
			  </td></tr>
		  <tr><td>Telefon:</td><td></td>
			  <td><?php echo $schueler->telefon; ?></td></tr>
		  <tr><td>eMail:</td><td></td>
			  <td><?php if ($schueler->email!='') { echo '<a href="mailto:'.$schueler->email.'">'.$schueler->email.'</a>'; } else { echo '-'; } ?></td></tr>
		  <tr><td>Geburtsdatum:</td><td></td>
			  <td><?php echo Schueler::formatiereDatum($schueler->geburtsdatum); ?></td></tr>
		  <?php if ($schueler->volljaehrig==='+') {
			      echo '<tr><td>vollj&auml;hrig:</td><td></td><td>ja</td></tr>';
		        } ?>
		  <tr><td>Geburtsort:</td><td></td>
			  <td><?php echo $schueler->geburtsort; ?></td></tr>
		  <tr><td>Staatsang.:</td><td></td>
			  <td><?php echo $schueler->staatabk; ?></td></tr>
		  <?php if ($schueler->aussiedler==='+') {
			      echo '<tr><td>Aussiedler:</td><td></td><td>ja</td></tr>';
		        } ?>
	    </table>

      </div>

	  <!-- ggf. Foto oder Platzhalter einblenden -->
	  <?php if ((isset($config['schuelerfotos'])) && ($config['schuelerfotos']===true) && ($druck===false)) { ?>

        <div class="media-right">

	 	  <?php if (isset($foto->foto)) { 

	 	  	$fotoclass = "";
			if ($round===TRUE) { $fotoclass = " class='round'"; } ?>

	        <div<?php echo $fotoclass; ?>><img<?php echo $fotoclass; ?> src="data:image/jpeg;base64, <?php echo base64_encode($foto->foto); ?>"/></div>

	      <?php } else { 
	      	$fotoclass = "";
			if ($round===TRUE) { $fotoclass = " round"; } ?>
	        <div class="fotoplatz<?php echo $fotoclass; ?>" style="width:<?php echo $config['schuelerfotos_breite'] ?>px; height:<?php echo $config['schuelerfotos_hoehe'] ?>px;">Foto</div>
	      <?php } ?>

        </div>

      <?php } ?>

    </div>

  </div>

</div>

<p/>

<!-- Card 2: Erziehungsberechtigte -->	
<div class="card">

    <h5 class="card-header">Erziehungsberechtigte</h5>
  
    <div class="card-body">
		
      <table>
		  
		<!-- Adresskontakte -->  
  	  	<tr><td valign="top">Adressen:</td><td class="tabspace"></td>
			<td>
				
   			  <?php if (count($erzieher)===0) { echo "<i>keine Adressen eingetragen</i>"; }; ?>								
			  <ul class="mylist">
				<?php foreach ($erzieher as $erzieher_item): ?>
					<li>
						<?php echo $erzieher_item['anrede1']; ?>
						<?php echo $erzieher_item['titel1']; ?>
						<?php echo $erzieher_item['vorname1']; ?>
						<?php echo $erzieher_item['name1']; ?>, 
				  	  
					    <?php if ($erzieher_item['name2']!='') { ?>
						  <?php echo $erzieher_item['anrede2']; ?>
						  <?php echo $erzieher_item['titel2']; ?>
						  <?php echo $erzieher_item['vorname2']; ?>
						  <?php echo $erzieher_item['name2']; ?>, 
						<?php } ?> 
						
						<?php echo $erzieher_item['erzstrasse']; ?>, 
						<?php echo $erzieher_item['erzplz'].' '; ?>
						<?php echo $erzieher_item['bezeichnung']; ?>
		
					    <?php if ($erzieher_item['erzemail']!='') { ?>
							- eMail: <?php if ($druck===false) { ?><a href="mailto:<?php echo $erzieher_item['erzemail']; ?>"><?php echo $erzieher_item['erzemail']; ?></a><?php } else { echo $erzieher_item['erzemail']; } ?>
						<?php } ?>						
					</li>
				<?php endforeach ?>				
			  </ul>
			  
			</td>
		</tr>

		<!-- Telefonkontakte -->  		
  	  	<tr><td valign="top">Telefon:</td><td class="tabspace"></td>
			<td>
				
  			  <?php if (count($kontakte)===0) { echo "<i>keine Kontakte eingetragen</i>"; }; ?>	
			  							
  			  <ul class="mylist">
  				<?php foreach ($kontakte as $kontakt_item): ?>
  					<li><?php echo $kontakt_item['bezeichnung'].': '.$kontakt_item['telefonnummer']; ?></li>
				<?php endforeach ?>				
			  </ul>	

			</td>
		</tr>
		
	  </table>
    </div>
	
</div>


<!-- Card 3: Vermerke -->	
<?php 
	// ZUGRIFFSPRÜFUNG						
	if ((isset($access)) && (isset($access['schueler_vermerke'])) && ($access['schueler_vermerke']===true)) { 
		if (($config['login']===false) || ($access[$username]['schueler_vermerke']===true)) { ?>

	<p/>	

	<div class="card">

	    <h5 class="card-header">Vermerke</h5>
  
	    <div class="card-body">
		  <?php if (count($vermerke)===0) { echo "<i>keine Vermerke eingetragen</i>"; }; ?>	
	  							
		  <ul class="mylist">
			<?php foreach ($vermerke as $vermerk_item): ?>
				<li><?php if (($vermerk_item['datum']!=null)&&($vermerk_item['datum']!='-')) { echo Schueler::formatiereDatum($vermerk_item['datum']).': '; } ?>
					<?php echo $vermerk_item['bezeichnung']; ?>
					<?php if ($vermerk_item['bemerkung']!='') { echo '('.$vermerk_item['bemerkung'].')'; }; ?></li>
			<?php endforeach ?>				
		  </ul>	
	    </div>
	
	</div>

<?php } } ?>


<!-- Card 4: Schulbesuch -->	
<p/>

<div class="card">

    <h5 class="card-header">Schulbesuch</h5>
  
    <div class="card-body">
		  
  	  	<p><b>Eingangsdaten</b>

		      <table>
				  <?php if (isset($aufnahmeschule)) { ?>
					  <tr><td>Besuchte Schule:</td><td class="tabspace"></td>
			  		  	<td><?php echo $aufnahmeschule->name; ?></td></tr>
				  <?php } ?>				  
			  	  <tr><td>Entlassdatum:</td><td class="tabspace"></td>
			  		  <td><?php echo Schueler::formatiereDatum($aufnahme->lsschulentlassdatum); ?></td></tr>
			  	  <tr><td>Entlassgrund:</td><td class="tabspace"></td>
			  		  <td><?php echo $aufnahme->lsentlassgrund; ?></td></tr>
			  	  <tr><td>Aufnahmedatum:</td><td class="tabspace"></td>
			  		  <td><?php echo Schueler::formatiereDatum($aufnahme->aufnahmedatum); ?></td></tr>
			  	  <tr><td>&Uuml;bergangsempfehlung GS:</td><td class="tabspace"></td>
			  		  <td><?php echo $aufnahme->uebergangsempfehlung_jg5; ?></td></tr>
			  </table>
			  
   	    </p>
		
  	  	<p><b>Erreichte Abschl&uuml;sse</b>
			
	  	  <?php if (count($abschluesse)===0) { echo "<p><i>bislang keine Abschl&uuml;sse erreicht</i></p>"; }; ?>	
			
	  	  <ul class="mylist">
	  		<?php foreach ($abschluesse as $abschluesse_item): ?>
	  			<li><?php echo $abschluesse_item['jahr'].'/'.($abschluesse_item['jahr']+1).'.'.$abschluesse_item['abschnitt'].': '.$abschluesse_item['abschluss']; ?></li>
	  		<?php endforeach ?>				
	  	  </ul>	
		  
   	    </p>

		<?php if (($schueler->status==='8')||($schueler->status==='9'))  { ?>

    	  	<p><b>Ausgangsdaten</b>
  		      <table>
				  <?php if (isset($abgangschule)) { ?>
					  <tr><td>Neue Schule:</td><td class="tabspace"></td>
			  		  	<td><?php echo $abgangschule->name; ?></td></tr>
				  <?php } ?>
					  
			  	  <tr><td>Entlassdatum:</td><td class="tabspace"></td>
			  		  <td><?php echo Schueler::formatiereDatum($abgang->entlassdatum); ?></td></tr>
			  	  <tr><td>Entlassgrund:</td><td class="tabspace"></td>
			  		  <td><?php echo $abgang->entlassgrund; ?></td></tr>

				  <?php if ($abgang->schulwechseldatum!='') { ?>
					  <tr><td>Wechseldatum:</td><td class="tabspace"></td>
			  		  	<td><?php echo Schueler::formatiereDatum($abgang->schulwechseldatum); ?></td></tr>
				  <?php } ?>

  			  </table>
  		  	</p>
		  
		<?php } ?>
							  
    </div>
	
</div>


<!-- Card 5: ggf. Betrieb -->	
<?php 
	// ZUGRIFFSPRÜFUNG						
	  if ((isset($access)) && (isset($access['betriebe'])) && ($access['betriebe']===true)) { 
		if (($config['login']===false) || ($access[$username]['betriebe']===true)) { 
			if (count($betriebe)>0) { ?>	

	<p/>

	<div class="card">

	    <h5 class="card-header">Betrieb</h5>

	    <div class="card-body">

	      <?php echo $betriebe->AllgAdrName1 . ', ' . $betriebeplz->AllgAdrPLZ . ' ' . $betriebeort->Bezeichnung; ?>
		 
	    </div>
	
	</div>

<?php } } } ?>
