<table class="table table-bordered table-sm notentab<?php if ($druck===true) echo ' druck'?>">
		
	<?php $width = round((85 / (count($faecher)+3)) - 0.5); ?>
					
	<!-- Setze die Überschriften = Fächer zusammen -->
	<thead>
		
		<tr>		
		
			<td class="table-active" width="<?php if ($oberstufe===true) { echo $width.'%'; } else { echo '15%'; } ?>"></td>
			<td class="table-active" width='<?php echo $width; ?>%'><b>Fehl-<br><?php if ($druck===true) { echo 'std.'; } else { echo 'stunden'; } ?></b></td>
		
			<?php if ($abschlussmoeglich===true) { ?>
				<td class="table-active" width='<?php echo $width; ?>%'><b>Ab-<br><?php if ($druck===true) { echo 'schl.'; } else { echo 'schluss'; } ?></b></td>
			<?php } ?>

			<?php if ($versetzunganzeigen===true) { ?>
				<td class="table-active" width='<?php echo $width; ?>%'><b>Vers.</b></td>
			<?php } ?>
			
			<?php foreach ($faecher as $faecher_item): ?>			
				<td class="table-active" width='<?php echo $width; ?>%'>
					<?php 
						echo '<b>'.$faecher_item['fachkrz'].'</b>';

						if ($oberstufe===false) { // in der Sek. I kompaktere Darstellung im Inneren der Tabelle
							echo '<br/>';
							if ($faecher_item['fachlehrer']!='') { echo $faecher_item['fachlehrer']; } else { echo "-"; } 

							// ggf. Kursart ausgeben (nicht bei Klassenunterricht PUK)
							if (($faecher_item['kursartallg']!='') && ($faecher_item['kursartallg']!='PUK')) {
								echo "<br/><span class='kursart'>".$faecher_item['kursartallg']."</span>";
							}
							
							// ggf. Epochenunterricht ausgeben
							if ($faecher_item['vorherabgeschl']==='+') {
								echo "<br/><span class='kursart'>Epoche</span>";
							}
							
						}
					?>
				</td>			
			<?php endforeach ?>	
		
			<?php if ($druck===false) { echo "<td class='table-active' width='".$width."%'></td>"; } ?>
		</tr>
	
	</thead>

	<tbody>

		<!-- Durchlaufe alle Schüler -->
		<?php foreach ($schueler as $schueler_item): ?>		
			
			<?php 
		
			    echo '<tr>';
			
				// Schülerdaten zusammenstellen
				echo "<td class='table-active'>";	
				echo $schueler_item['name'];
				if ($oberstufe===true) { // Oberstufe hat mehrere Infos pro Fach => Platz für Umbruch
					echo ",<br>"; } else { echo ", "; 
				}
				echo $schueler_item['vorname'];

				// Wiederholung im angezeigten Abschnitt ?
				if ($schueler_item['wiederholung']==='+') { 
					echo " (W)";
				}			
				echo "</td>";
			
				echo "<td>";
				if (($schueler_item['sumfehlstd']!=null) && ($schueler_item['sumfehlstd']!='')) {
					echo $schueler_item['sumfehlstd'];
				}
				else { echo '-'; }
				if ($oberstufe===true) { echo "<br>"; } else { echo " "; }
				echo "(";
				if (($schueler_item['sumfehlstdu']!=null) && ($schueler_item['sumfehlstdu']!='')) {
					if ($schueler_item['sumfehlstdu']>0) {
						if (($druck===true) && ($farbdruck===false)) {
							echo "<span class='ue-grau'>".$schueler_item['sumfehlstdu']."</span>";						
						}
						else {
							echo "<span class='ue'>".$schueler_item['sumfehlstdu']."</span>";							
						}
					}
					else {
						echo $schueler_item['sumfehlstdu'];						
					}
				}
				else { echo '-'; }
				echo ")</td>";
			
				if ($abschlussmoeglich===true) {
					echo "<td>";
					if (($schueler_item['abschluss']!=null) && ($schueler_item['abschluss']!='')) {
						echo "<span class='kursart'>".$schueler_item['abschluss']."</span>";
					}
					else if (($schueler_item['abschlistprognose']!=null) && ($schueler_item['abschlistprognose']!='') && ($schueler_item['abschlistprognose']!='-')) {
						echo "<span class='kursart'><i>".$schueler_item['abschlistprognose']."</i></span>";
					}
					else {
						echo "-";
					}
					echo "</td>";
				}
			
				if ($versetzunganzeigen===true) {
					echo "<td>";
					if ($schueler_item['versetzungkrz']!=null) {
						echo $schueler_item['versetzungkrz'];
					}
					else {
						echo "-";
					}
					echo "</td>";
				}
			
						
				// Gehe für diesen Schüler alle Fächer durch und gib die zugehörige Note aus
				foreach ($faecher as $faecher_item) {			

						$found = false;

						// Suche die Note zum passenden Schuljahr+Anschnitt+Fach
						foreach ($faechernoten as $noten_item) {
					
							if (($schueler_item['id']===$noten_item['id']) &&
								($faecher_item['fachkrz']===$noten_item['fachkrz']) && 	
								(($oberstufe===true) || 
									(($faecher_item['fachlehrer']===$noten_item['fachlehrer']) &&
									 ($faecher_item['kursartallg']===$noten_item['kursartallg'])
									)
								)
							   ){ 
						
								$found = true;

								// Einfärbung abh. von Note bzw. Warnung							
								$class=''; 

								// 1. Note ermitteln
								if (($noten_item['notenkrz']===null) || ($noten_item['notenkrz']==='')) {
									
									if (isset($config['klassennoten_fehlt'])) {
										$note = $config['klassennoten_fehlt'];
									}
									else {
										$note = '-';
									}
									
									
									if ($noten_item['warnung']==='+') { // Warnung bereits erfolgt
										$class = 'warnung';
										if ($noten_item['warndatum']!=null && $noten_item['warndatum']!='') {
											$note = Schuelergruppe::formatiereKurzDatum($noten_item['warndatum']);
										}
									}
								}
								else {
									$note = $noten_item['notenkrz'];
								}
							
								// 2. Note auswerten
							
								// Defizit?
								if (($note==='5+') || ($note==='5') || ($note==='5-') || ($note==='6')) {
									$class='defizit';
								
									// nicht gewarntes Defizit? nur in Stufen 6-10!
									if (($noten_item['warnung']==='-') && ($lastabschnitt===true) && ($qualiphase===false) && ($noten_item['asdjahrgang']!='5')) {
										$class='ohnewarnung';
									}
									
									// nicht gewarntes Defizit im Epochenunterricht?
									if (($noten_item['warnung']==='-') && ($noten_item['vorherabgeschl']==='+') && ($oberstufe===false) && ($noten_item['asdjahrgang']!='5')) {
										$class='ohnewarnung';
									}
																	
								}
								// 4- als Defizit in der Qualifikationsphase der Oberstufe?
								if (($note==='4-') && ($qualiphase===true)) { 
									$class='defizit';								
								}
								// Gute Note?
								if (($note==='1+') || ($note==='1') || ($note==='1-') || ($note==='2+') || ($note==='2') || ($note==='2-')) {
									$class='gut';
								}
							
								// SW-Druck? 
								if (($druck===true) && ($farbdruck===false)) {
									if ($class==="defizit") { $class="defizit-grau"; }
									if ($class==="ohnewarnung") { $class="ohnewarnung-grau"; }
									if ($class==="warnung") { $class="warnung-grau"; }
									if ($class==="gut") { $class=""; }								
								}
							
								// 3. Note darstellen
								echo "<td";
								if ($class!='') { echo " class='".$class."'"; }
								echo ">";

								if (($noten_item['aufzeugnis']===null) || ($noten_item['aufzeugnis']==='-')) {
									echo "(".$note.")";
								}
								else {
									echo $note;	
								}
							
								if ($oberstufe===true) {
									echo "<br>";
									if ($noten_item['fachlehrer']!='') { echo $noten_item['fachlehrer']; } else { echo "-"; }
									echo "<br>"."<span class='kursart'>";
									if ($noten_item['kursart']!='') { echo $noten_item['kursart']; } else { echo "-"; }
									echo "</span>";
									
									if ($config['fehlstunden_pro_fach']===true) { // Fehlstunden pro Fach eingeschaltet...?									
										if ($alterabschnitt===false) {
											echo "<br>";
											if (($noten_item['fehlstd']!=null) && ($noten_item['fehlstd']!="")) {
												echo $noten_item['fehlstd'];
											}
											else {
												echo "-";
											}
											echo "/";
											if (($noten_item['ufehlstd']!=null) && ($noten_item['ufehlstd']!="")) {
												if ($noten_item['ufehlstd']>0) {
													if (($druck===true) && ($farbdruck===false)) {
														echo "<span class='ue-grau'>".$noten_item['ufehlstd']."</span>";																			
													}
													else {
														echo "<span class='ue'>".$noten_item['ufehlstd']."</span>";																			
													}
												}
												else {
													echo $noten_item['ufehlstd'];						
												}
											}
											else {
												echo "-";
											}
										}
									}
								}
																	
								echo '</td>';
							
								break; // Note gefunden => Suche kann vorab beendet werden
							} 

						}
					
						// Fach in diesem Abschnitt nicht belegt
						if ($found===false) { echo '<td></td>'; }
				
				}		
			
				if ($druck===false) {
					echo "<td><a href='".$base_url."/schueler/view/".$schueler_item['id']."'>";
					echo "<i class='fas fa-user'></i>";
					echo "</a></td>";
				}		
							
				echo '</tr>'; 
		
			?>

		<?php endforeach ?>	

	</tbody>

	<tfoot>
			
	<?php if ($druck===false) { // Footer nicht beim Ausdruck ?>

		<!-- Setze die Überschriften = Fächer zusammen -->
		<tr>		
		
			<td class="table-active"></td>
			<td class="table-active"><b>Fehl-<br><?php if ($druck===true) { echo 'std.'; } else { echo 'stunden'; } ?></b></td>

			<?php if ($abschlussmoeglich===true) { ?>
				<td class="table-active" width='<?php echo $width; ?>%'><b>Ab-<br><?php if ($druck===true) { echo 'schl.'; } else { echo 'schluss'; } ?></b></td>
			<?php } ?>
		
			<?php if ($versetzunganzeigen===true) { ?>
				<td class="table-active" width='<?php echo $width; ?>%'><b>Vers.</b></td>
			<?php } ?>

			<?php foreach ($faecher as $faecher_item): ?>			
				<td class="table-active">
					<?php 
						echo '<b>'.$faecher_item['fachkrz'].'</b>';

						if ($oberstufe===false) {
							echo '<br/>';
							if ($faecher_item['fachlehrer']!='') { echo $faecher_item['fachlehrer']; } else { echo "-"; } 

							// ggf. Kursart ausgeben (nicht bei Klassenunterricht PUK)
							if (($faecher_item['kursartallg']!='') && ($faecher_item['kursartallg']!='PUK')) {
								echo "<br/><span class='kursart'>".$faecher_item['kursartallg']."</span>";
							}
							
							// ggf. Epochenunterricht ausgeben
							if ($faecher_item['vorherabgeschl']==='+') {
								echo "<br/><span class='kursart'>Epoche</span>";
							}
						}
					?>
				</td>			
			<?php endforeach ?>	

			<?php if ($druck===false) { echo "<td class='table-active' width='".$width."%'></td>"; } ?>
		
		</tr>

	</tfoot>
		
	<?php } ?>
	
</table>