<!-- Menüzeile -->
<nav class="navbar navbar-expand-lg navbar-dark bg-primary">

  <a href="<?php echo $path?>/klasse/index"><span class="navbar-brand mb-0"><i class="fas fa-info fa-border"></i> SchildInfo</span></a>
  
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">

    <ul class="navbar-nav mr-auto">

		<li class='nav-item<?php if ($aktiv==='klassen') echo " active"; ?>'>
			<a class="nav-link" href="<?php echo $path?>/klasse/index"><i class="fas fa-user-friends"></i> Klassen</a>
		</li>

        <li class='nav-item<?php if ($aktiv==='kurse') echo " active"; ?>'>
        	<a class="nav-link" href="<?php echo $path?>/kurs/index"><i class="fas fa-users"></i> Kurse</a>
        </li>

        <li class="nav-item dropdown<?php if ($aktiv==='schueler') echo " active"; ?>">	
   	        <a href="#" class="nav-link dropdown-toggle" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-user"></i> Sch&uuml;ler</a>

			<div class="dropdown-menu" aria-labelledby="navbarDropdown">
				  <a class="dropdown-item" href="<?php echo $path?>/schuelergruppe/index/aktiv">Aktive</a>
		          <a class="dropdown-item" href="<?php echo $path?>/schuelergruppe/index/wdh">Wiederholer</a>
		          <div class="dropdown-divider"></div>
		          <a class="dropdown-item" href="<?php echo $path?>/schuelergruppe/index/ablaufend">Abg&auml;nger aktuell</a>
		          <a class="dropdown-item" href="<?php echo $path?>/schuelergruppe/index/abzuletzt">Abg&auml;nger zuletzt</a>
		          <a class="dropdown-item" href="<?php echo $path?>/schuelergruppe/index/finalzuletzt">Abschl&uuml;sse zuletzt</a>
		          <div class="dropdown-divider"></div>
		          <a class="dropdown-item" href="<?php echo $path?>/schuelergruppe/index/neulaufend">Neuaufnahmen aktuell</a>
		          <a class="dropdown-item" href="<?php echo $path?>/schuelergruppe/index/neuzuletzt">Neuaufnahmen zuletzt</a>
		          <div class="dropdown-divider"></div>
		          <a class="dropdown-item" href="<?php echo $path?>/schuelergruppe/index/neuaufnahmen">Neuaufnahmen</a>
		          <a class="dropdown-item" href="<?php echo $path?>/schuelergruppe/index/warteliste">Warteliste</a>
		          <div class="dropdown-divider"></div>
		          <a class="dropdown-item" href="<?php echo $path?>/schuelergruppe/index/urlaub">Beurlaubte</a>
		          <a class="dropdown-item" href="<?php echo $path?>/schuelergruppe/index/extern">Externe</a>
		          <div class="dropdown-divider"></div>
   			  	  <a class="dropdown-item" href="<?php echo $path?>/klasse/export">Klassenlisten (Export)</a>
   	          	  <a class="dropdown-item" href="<?php echo $path?>/kurs/export">Kurslisten (Export)</a>
		          <div class="dropdown-divider"></div>	          
		          <a class="dropdown-item" href="<?php echo $path?>/schuelersearch/index">Suche</a>
			</div>										
		</li>

        <?php // ZUGRIFFSPRÜFUNG
			  if ((isset($access)) && (isset($access['lehrer'])) && ($access['lehrer']===true)) { 
				if (($config['login']===false) || ($access[$username]['lehrer']===true)) { ?>	
			<li class='nav-item<?php if ($aktiv==='lehrer') echo " active"; ?>'>
				<a class="nav-link" href="<?php echo $path?>/lehrer/index"><i class="fas fa-user-tie"></i> Lehrer</a>
			</li>
		<?php } } ?>

		<?php // ZUGRIFFSPRÜFUNG
			  if ((isset($access)) && (isset($access['betriebe'])) && ($access['betriebe']===true)) { 
				if (($config['login']===false) || ($access[$username]['betriebe']===true)) { ?>	
			<li class='nav-item<?php if ($aktiv==='betriebe') echo " active"; ?>'>
				<a class="nav-link" href="<?php echo $path?>/betriebe/index"><i class="fas fa-briefcase"></i> Betriebe</a>
			</li>
		<?php } } ?>	

		<?php // ZUGRIFFSPRÜFUNG
			  if ((isset($access)) && (isset($access['schueler_noten'])) && ($access['schueler_noten']===true)) { 
				if (($config['login']===false) || ($access[$username]['schueler_noten']===true)) { ?>		

		   	 <li class="nav-item dropdown<?php if ($aktiv==='extras') echo " active"; ?>">	

		   	 		<a class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-chalkboard"></i> Konferenzen</a>

			        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
						<a class="dropdown-item" href="<?php echo $path?>/konferenz/index">Folien</a>
						<a class="dropdown-item" href="<?php echo $path?>/konferenz/export">Folien (Export)</a>
						<a class="dropdown-item" href="<?php echo $path?>/konferenz/druck">Folien (Druck)</a>
					</div>			

				</li>
  		<?php } } ?>
	
	  	<?php // ZUGRIFFSPRÜFUNG	
		    if ((isset($config)) && (isset($config['login'])) && ($config['login']===true)) { ?>  
	  		<li class="nav-item"><a class="nav-link" href="<?php echo $path?>/schule/logout"><i class="fas fa-sign-out-alt"></i> Logout</a></li>
	  	<?php } ?>

    </ul>
  
	<?php if (((isset($config)) && (isset($config['backbutton'])) && ($config['backbutton']===true))) { ?>
		<ul class="navbar-nav navbar-right">
	          <li class="nav-item"><a class="nav-link" href="javascript:window.history.go(-1);"><i class="fas fa-arrow-circle-left"></i></a></li>
	    </ul>
	<?php } ?>
	
    <form method="post" class="form-inline my-2 my-lg-0" role="search" action="<?php echo $path?>/schuelersearch/name">
      <input name="query" type="text" size="12" class="form-control mr-sm-2" placeholder="Suche Sch&uuml;ler" aria-label="Search">
      <button class="btn btn-primary my-2 my-sm-0" type="submit">Go</button>
    </form>

  </div>

</nav>